package org.dbxml.core.server;

/*
 * dbXML License, Version 1.0
 *
 *
 * Copyright (c) 1999-2001 The dbXML Group, L.L.C.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by
 *        The dbXML Group (http://www.dbxml.com/)."
 *    Alternately, this acknowledgment may appear in the software
 *    itself, if and wherever such third-party acknowledgments normally
 *    appear.
 *
 * 4. The names "dbXML" and "The dbXML Group" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    info@dbxml.com.
 *
 * 5. Products derived from this software may not be called "dbXML",
 *    nor may "dbXML" appear in their name, without prior written
 *    permission of The dbXML Group.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE DBXML GROUP OR ITS CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: dbXML.java,v 1.16 2001/08/18 20:50:46 tom Exp $
 */

import org.dbxml.server.*;
import java.io.*;

/**
 * dbXML is the loading mechanism for the dbXML Database
 * Server.  It also defines some of the dbXML version-related
 * constants.
 *
 * @see org.dbxml.server.Kernel
 */

public final class dbXML {
   // Global Property Information
   public static final String PROP_DBXML_HOME = "dbxml.home";
   public static final String PROP_CMD_HOME = "cmd.home";

   // Version Information
   public static final int MajorVersion = 1;
   public static final int MinorVersion = 0;
   public static final int SubMinorVersion = 0;
   public static final String Version = "1.0b2";
   public static final String Codename = "Apple";

   // Copyright/Authorship Information
   public static final String Title = "dbXML";
   public static final String Author = "The dbXML Group";
   public static final String Year = "2001";
   public static final String Company = "The dbXML Group";
   public static final String URL = "http://www.dbxml.org";

   public static void main(String[] args) {
      System.out.println();
      System.out.println(Title+" "+Version+" ("+Codename+")");
      System.out.println();
      if ( args.length > 0 )
         new Kernel(args[0]);
      else {
         File cfg = new File(new File(System.getProperty(PROP_DBXML_HOME)), "/config/system.xml");
         new Kernel(cfg.getAbsolutePath());
      }
   }
}
